Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
default-mapping
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.DirectoryProvisioning.GetDefaultMappingAsync(
            "id"
        );
    }

}
{
  "mapping": [
    {
      "auth0": "<string>",
      "idp": "<string>"
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The id of the connection to retrieve its directory provisioning configuration

Réponse

The connection's directory provisioning default mapping. See Response Schemas for schema.

mapping
object[]

The mapping between Auth0 and IDP user attributes

Minimum array length: 1